FocusableTip
Date: 2017-02-11

org.fife.ui.rsyntaxtextarea.focusabletip

## Class FocusableTip

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.focusabletip.FocusableTip

-     public class FocusableTip
      extends java.lang.Object

  A focusable tool tip, similar to those found in Eclipse. The user can click in the tip and it becomes a "real," resizable window.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FocusableTip(javax.swing.JTextArea textArea, javax.swing.event.HyperlinkListener listener)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.URL` | `getImageBase()` Returns the base URL to use when loading images in this focusable tip.
    `java.awt.Dimension` | `getMaxSize()` The maximum size for unfocused tool tips.
    `void` | `possiblyDisposeOfTipWindow()` Disposes of the focusable tip currently displayed, if any.
    `void` | `setImageBase(java.net.URL url)` Sets the base URL to use when loading images in this focusable tip.
    `void` | `setMaxSize(java.awt.Dimension maxSize)` Sets the maximum size for unfocused tool tips.
    `void` | `toolTipRequested(java.awt.event.MouseEvent e, java.lang.String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FocusableTip

          public FocusableTip(javax.swing.JTextArea textArea,
                      javax.swing.event.HyperlinkListener listener)

  - ### Method Detail

    - #### getImageBase

          public java.net.URL getImageBase()

      Returns the base URL to use when loading images in this focusable tip.
      Returns:
        The base URL to use.
      See Also:
        `setImageBase(URL)`

    - #### getMaxSize

          public java.awt.Dimension getMaxSize()

      The maximum size for unfocused tool tips.
      Returns:
        The maximum size for unfocused tool tips. A value of `null` will use a default size.
      See Also:
        `setMaxSize(Dimension)`

    - #### possiblyDisposeOfTipWindow

          public void possiblyDisposeOfTipWindow()

      Disposes of the focusable tip currently displayed, if any.

    - #### setImageBase

          public void setImageBase(java.net.URL url)

      Sets the base URL to use when loading images in this focusable tip.
      Parameters:
        `url` - The base URL to use.
      See Also:
        `getImageBase()`

    - #### setMaxSize

          public void setMaxSize(java.awt.Dimension maxSize)

      Sets the maximum size for unfocused tool tips.
      Parameters:
        `maxSize` - The new maximum size. A value of `null` will cause a default size to be used.
      See Also:
        `getMaxSize()`

    - #### toolTipRequested

          public void toolTipRequested(java.awt.event.MouseEvent e,
                              java.lang.String text)